Get YouTube video metadata
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/video \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/video"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"duration": 123,
"channel": {
"id": "<string>",
"name": "<string>"
},
"tags": [
"<string>"
],
"thumbnail": "<string>",
"uploadDate": "2023-11-07T05:31:56Z",
"viewCount": 123,
"likeCount": 123,
"isLive": true,
"transcriptLanguages": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}API Reference
Get YouTube video metadata
GET
/
v1
/
youtube
/
video
Get YouTube video metadata
curl --request GET \
--url https://api.urltodata.ai/v1/youtube/video \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/youtube/video"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/youtube/video', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"duration": 123,
"channel": {
"id": "<string>",
"name": "<string>"
},
"tags": [
"<string>"
],
"thumbnail": "<string>",
"uploadDate": "2023-11-07T05:31:56Z",
"viewCount": 123,
"likeCount": 123,
"isLive": true,
"transcriptLanguages": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": "<string>",
"documentationUrl": "<string>"
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
YouTube video ID or URL